%define upstream_name	 Crypt-IDEA
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:    Perl interface to IDEA block cipher
License:	GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel


%description
This perl extension is an implementation of the IDEA block
cipher algorithm. The module implements the
Crypt::BlockCipher interface, which has the following
methods

blocksize =item keysize =item encrypt =item decrypt

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc COPYRIGHT
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*


%changelog
* Mon Jun 06 2022 umeabot <umeabot> 1.100.0-20.mga9
+ Revision: 1861626
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.100.0-19.mga9
+ Revision: 1795606
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.100.0-18.mga9
+ Revision: 1726465
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.100.0-17.mga8
+ Revision: 1594372
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.100.0-16.mga8
+ Revision: 1529000
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.100.0-15.mga8
+ Revision: 1432807
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.100.0-14.mga7
+ Revision: 1292549
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.100.0-13.mga7
+ Revision: 1248572
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.100.0-12.mga7
+ Revision: 1163615
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.100.0-11.mga7
+ Revision: 1148700
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.100.0-10.mga7
+ Revision: 1126766
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.100.0-9.mga6
+ Revision: 1024517
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.100.0-8.mga6
+ Revision: 956934
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.100.0-7.mga6
+ Revision: 844756
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.100.0-6.mga6
+ Revision: 840679
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 747361
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 684042
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.100.0-3.mga5
+ Revision: 630956
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-2.mga4
+ Revision: 530419
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 1.100.0-1.mga4
+ Revision: 457593
- update to 1.10

* Wed May 29 2013 jquelin <jquelin> 1.80.0-7.mga4
+ Revision: 431527
- fix build with perl 5.18 (rt#82010)
- perl 5.18.0 rebuild
+ tv <tv>
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-5.mga3
+ Revision: 364863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.80.0-4.mga3
+ Revision: 250395
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.80.0-3.mga2
+ Revision: 103814
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.80.0-2.mga1
+ Revision: 29983
- mageia rebuild
- imported package perl-Crypt-IDEA


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-2mdv2011.0
+ Revision: 555714
- rebuild

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 406926
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.08-5mdv2009.0
+ Revision: 256267
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.08-3mdv2008.1
+ Revision: 152034
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 1.08-2mdv2008.0
+ Revision: 19110
- rebuild


* Thu Apr 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdk
- New release 1.08
- better source URL
- correct optimisations

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdk
- New release 1.07

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdk
- New release 1.06
- spec cleanup
- better source URL, URL
- fix directory ownership
- %%mkrel

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 1.02-2mdk
- Rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.02-1mdk
- New package

